Bug 904956 - X window failed to start when Installing rhel6.4 guest on rhel5.9 host with spice+qxl
X window failed to start when Installing rhel6.4 guest on rhel5.9 host with s...
Status: CLOSED DUPLICATE of bug 929037
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-drv-qxl (Show other bugs)
6.4
Unspecified Unspecified
urgent Severity high
: beta
: ---
Assigned To: Søren Sandmann Pedersen
Desktop QE
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-28 04:25 EST by Qunfang Zhang
Modified: 2014-06-18 05:16 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 08:43:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xorg.0.log after startx inside guest manually (40.65 KB, text/plain)
2013-01-30 01:40 EST, Qunfang Zhang
no flags Details

  None (edit)
Comment 3 Søren Sandmann Pedersen 2013-01-28 11:20:33 EST
I should have some information tomorrow.

Reporter: After installation, can you run an X server with the QXL driver?
Comment 5 Qunfang Zhang 2013-01-30 01:40:01 EST
(In reply to comment #3)
> I should have some information tomorrow.
> 
> Reporter: After installation, can you run an X server with the QXL driver?

Still can not run an X server inside guest after installation even I have installed "Desktop" and "X Window System" packages group.

[root@localhost ~]# startx
xauth:  creating new authority file /root/.serverauth.2212
xauth: (stdin):2:  unknown command "eca39fa7fb2e61446db3b4fb97e7e2b0"


X.Org X Server 1.13.0
Release Date: 2012-09-05
X Protocol Version 11, Revision 0
Build Operating System: x86-022 2.6.18-308.24.1.el5 
Current Operating System: Linux localhost.localdomain 2.6.32-356.el6.x86_64 #1 SMP Mon Jan 21 17:56:56 EST 2013 x86_64
Kernel command line: ro root=/dev/mapper/VolGroup-lv_root rd_NO_LUKS LANG=en_US.UTF-8 rd_NO_MD rd_LVM_LV=VolGroup/lv_swap SYSFONT=latarcyrheb-sun16 crashkernel=129M@0M rd_LVM_LV=VolGroup/lv_root  KEYBOARDTYPE=pc KEYTABLE=us rd_NO_DM rhgb quiet
Build Date: 09 January 2013  04:33:44PM
Build ID: xorg-x11-server 1.13.0-11.el6 
Current version of pixman: 0.26.2
	Before reporting problems, check https://www.redhat.com/apps/support/
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Jan 30 01:36:47 2013
(==) Using default built-in configuration (39 lines)
Initializing built-in extension Generic Event Extension
Initializing built-in extension SHAPE
Initializing built-in extension MIT-SHM
Initializing built-in extension XInputExtension
Initializing built-in extension XTEST
Initializing built-in extension BIG-REQUESTS
Initializing built-in extension SYNC
Initializing built-in extension XKEYBOARD
Initializing built-in extension XC-MISC
Initializing built-in extension XINERAMA
Initializing built-in extension XFIXES
Initializing built-in extension RENDER
Initializing built-in extension RANDR
Initializing built-in extension COMPOSITE
Initializing built-in extension DAMAGE
Initializing built-in extension MIT-SCREEN-SAVER
Initializing built-in extension DOUBLE-BUFFER
Initializing built-in extension RECORD
Initializing built-in extension DPMS
Initializing built-in extension X-Resource
Initializing built-in extension XVideo
Initializing built-in extension XVideo-MotionCompensation
Initializing built-in extension SELinux
Initializing built-in extension XFree86-VidModeExtension
Initializing built-in extension XFree86-DGA
Initializing built-in extension XFree86-DRI
Initializing built-in extension DRI2
Loading extension GLX
(EE) 
(EE) Backtrace:
(EE) 0: /usr/bin/X (xorg_backtrace+0x36) [0x46cd76]
(EE) 1: /usr/bin/X (0x400000+0x72ad9) [0x472ad9]
(EE) 2: /lib64/libpthread.so.0 (0x7fd1478b4000+0xf500) [0x7fd1478c3500]
(EE) 
(EE) Segmentation fault at address 0x0

Fatal server error:
Caught signal 11 (Segmentation fault). Server aborting

(EE) 
Please consult the Red Hat, Inc. support 
	 at https://www.redhat.com/apps/support/
 for help. 
(EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
(EE) 
Server terminated with error (1). Closing log file.

giving up.
xinit:  Connection refused (errno 111):  unable to connect to X server
xinit:  No such process (errno 3):  Server error.
[root@localhost ~]#
Comment 6 Qunfang Zhang 2013-01-30 01:40:43 EST
Created attachment 690183 [details]
xorg.0.log after startx inside guest manually

Note You need to log in before you can comment on or make changes to this bug.